This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 120548 - Errors in memory.c while starting X
Errors in memory.c while starting X
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-10 10:01 EDT by Kees
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 04:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (27.24 KB, text/plain)
2004-04-10 10:01 EDT, Kees
no flags Details

  None (edit)
Description Kees 2004-04-10 10:01:06 EDT
Description of problem:

The kernel (linux 2.6.5-1.315) boots fine but while starting X the
system hangs. Sometimes I even see the login screen but sometimes I
just see the hourglass while X is starting.
After installing FC2test2 the whole system was working fine, but after
the first (and last) yum update at 2004-04-10 this problem appeared.

See the attached /var/log/messages describing the problem.
Comment 1 Kees 2004-04-10 10:01:53 EDT
Created attachment 99296 [details]
/var/log/messages
Comment 2 Arjan van de Ven 2004-04-11 04:39:17 EDT
which video card is this ?
Comment 3 Kees 2004-04-11 04:57:46 EDT
[kvdb@localhost kvdb]$ /sbin/lspci

00:02.0 VGA compatible controller: Intel Corp. 82852/855GM Integrated
Graphics D evice (rev 02)
00:02.1 Display controller: Intel Corp. 82852/855GM Integrated
Graphics Device ( rev 02)
Comment 4 Manuel "Chilli" Chakravarty 2004-04-11 06:47:25 EDT
This is a DRM problem.  I am seeing the same behaviour on a machine
with a i855GME.  Before the kernel freezes it logs a dozen messages
like those:

Apr 11 20:33:06 JustTesting kernel: mm/memory.c:102: bad pmd 3d0000e3.
Apr 11 20:33:06 JustTesting kernel: mm/memory.c:102: bad pmd 3d4000e3.
Apr 11 20:33:06 JustTesting kernel: mm/memory.c:102: bad pmd 3d0000e3.
Apr 11 20:33:06 JustTesting kernel: mm/memory.c:102: bad pmd 3d4000e3.

To verify that it is a DRM issue, I moved the corresponding kernel
module (ie, /lib/modules/2.6.5-1.315/kernel/drivers/char/drm/i830.ko)
out of the way.  Without that kernel module - and hence, without DRM -
all works fine.  Moreover, the problem does not happen with kernel
2.6.5-1.309.

I have seen a related problem with the same kernel on a ATI Radeon
9200.  With the Radeon, I don't get the "bad pmd" kernel messages and
the point at which the kernel freezes varies on a run-by-run basis;
ie, X may work for a while before the machine dies.

I assume that Bugs #120555 and #120575 are duplicates of the present one.
Comment 5 Arjan van de Ven 2004-04-12 08:05:42 EDT
ok found it; fixed in build 318 from
http://people.redhat.com/arjanv/2.6/
which is rsyncing to the server right now.
Comment 6 Manuel "Chilli" Chakravarty 2004-04-13 10:05:06 EDT
Thanks.  My machine now comes up in runlevel 5 without any problems. 
Inspection of the /var/log/XFree86.0.log shows that DRM initialised
normally.  However, if I start "glxgears" - to actually exercise DRM -
 the machine freezes.  More precisely, after the glxgears window has
been mapped by the X server, but before the first frame of the OpenGL
animation is drawn, it freezes.  Unfortunately, there is no clue about
the error location in the logs this time.

BTW, I am using xorg-x11-0.6.6-0.2004_03_30.5 with kernel-2.6.5-1.321.
Comment 7 Kees 2004-04-13 16:09:33 EDT
My experience is the same as Manuel's.
Running 2.6.5.319 boots fine now. But after running glxgears the
machine becomes totally unresponsive (freeze). But I rarely use such
apps so I'm happy now ;-)

Note You need to log in before you can comment on or make changes to this bug.